﻿using CoreLibrary.Core;

namespace CoreLibrary.Evenements
{
    /// <summary>
    /// Classe contenant les arguments passés en paramètres lors de l'événement PartieNouveauTour.
    /// </summary>
    public class PartieNouveauTourEventArgs : EventArgs
    {
        /// <summary>
        /// Entier correspondant au nombre de tour.
        /// </summary>
        public int Tour { get; private init; }
        public string Nom { get; private init; }
        public Plateau Plateau { get; private init; }
        public Code Code { get; private init; }
        public bool EstJoueur { get; private init; }

        public PartieNouveauTourEventArgs(int tour, string nom, Plateau plateau, Code code, bool estJoueur)
        {
            Tour = tour;
            Nom = nom;
            Plateau = plateau;
            Code = code;
            EstJoueur = estJoueur;
        }
    }
}
