﻿namespace CoreLibrary.Persistance
{
    /// <summary>
    /// Interface IPersistance permettant de charger et d'enregistrer.
    /// </summary>
    public interface IPersistance
    {
        /// <summary>
        /// Charge les objets qui lui sont donnés.
        /// </summary>
        /// <returns>Renvoie un tableau.</returns>
        public T[] Charger<T>() where T : IEstPersistant;

        /// <summary>
        /// Enregistre les elements qui lui sont spécifiés.
        /// </summary>
        /// <param name="elements">Tableau d'élements à enregistrer.</param>
        public void Enregistrer<T>(T[] elements) where T : IEstPersistant;
    }
}
